Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.intercept
Class RootInterceptor

    java.lang.Object
      org.jboss.seam.intercept.RootInterceptor

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ClientSideInterceptor, JavaBeanInterceptor, SessionBeanInterceptor

    public class RootInterceptor

extends Object
implements Serializable

Abstract superclass of all controller interceptors

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`protected` | `RootInterceptor(InterceptorType type)`

Method Summary
`protected Component` | `getComponent()`
`protected String` | `getComponentName()`
`protected void` | `init(Component component)`
`protected void` | `initNonSeamComponent()`
`protected Object` | `invoke(InvocationContext invocation, EventType invocationType)`
`protected void` | `invokeAndHandle(InvocationContext invocation, EventType invocationType)`
`protected boolean` | `isSeamComponent()`
`protected void` | `postConstruct(Object bean)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RootInterceptor

    protected RootInterceptor(InterceptorType type)

Method Detail

### init

    protected void init(Component component)

### initNonSeamComponent

    protected void initNonSeamComponent()

### postConstruct

    protected void postConstruct(Object bean)

### invokeAndHandle

    protected void invokeAndHandle(InvocationContext invocation,
                                   EventType invocationType)

### invoke

    protected Object invoke(InvocationContext invocation,
                            EventType invocationType)
                     throws Exception

  Throws:
    `Exception`

### getComponent

    protected Component getComponent()

### isSeamComponent

    protected boolean isSeamComponent()

### getComponentName

    protected String getComponentName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD